"use strict";

var _path = _interopRequireDefault(require("path"));

var _crossSpawn = _interopRequireDefault(require("cross-spawn"));

var _yargsParser = _interopRequireDefault(require("yargs-parser"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var unnecessaryArgumentsCount = 2;
var args = process.argv.slice(unnecessaryArgumentsCount);

var here = function (p) {
  return _path.default.join(__dirname, p);
};

var hereRelative = function (p) {
  return here(p).replace(process.cwd(), ".");
};

var parsedArgs = (0, _yargsParser.default)(args);
var useBuiltinConfig = !args.includes("--config") && !(0, _utils.hasFile)(".eslintrc") && !(0, _utils.hasFile)(".eslintrc.js") && !(0, _utils.hasPkgProp)("eslintConfig");
var config = useBuiltinConfig ? ["--config", hereRelative("../config/eslintrc.js")] : [];
var cache = args.includes("--no-cache") ? [] : ["--cache"];
var filesGiven = parsedArgs._.length > 0;
var filesToApply = filesGiven ? [] : ["."];
var extensions = ["--ext", ".js,.jsx,.ts,.tsx"];
var cacheLocation = ["--cache-location", "node_modules/.cache/.eslintcache"];

var isLintable = function (file) {
  return file.endsWith(".js") || file.endsWith(".ts") || file.endsWith(".jsx") || file.endsWith(".tsx");
};

if (filesGiven) {
  // we need to take all the flag-less arguments (the files that should be linted)
  // and filter out the ones that aren't js files. Otherwise json or css files
  // may be passed through
  args = args.filter(function (a) {
    return !parsedArgs._.includes(a) || isLintable(a);
  });
}

var lintArguments = config.concat(extensions, cacheLocation, cache, args, filesToApply);

var result = _crossSpawn.default.sync((0, _utils.resolveBin)("eslint"), lintArguments, {
  stdio: "inherit"
});

process.exit(result.status);
//# sourceMappingURL=lint.js.map